how2j.cn

步骤 1 : 安装   
步骤 2 : 运行   
步骤 3 : 验证   
步骤 4 : 查看启动日志   

yum上没有tomcat的源,所以使用如下方式下载解压

cd /tmp
wget http://mirrors.tuna.tsinghua.edu.cn/apache/tomcat/tomcat-7/v7.0.92/bin/apache-tomcat-7.0.92.tar.gz
tar xzf apache-tomcat-7.0.92.tar.gz
mv apache-tomcat-7.0.92 /usr/local/tomcat7

解压后把tomcat移动到 /usr/local/tomcat7 目录下方便以后访问
注:有同学反应这个tomcat无法通过wget下载。 大概tsinghua.edu.cn 在维护吧,我这里下载了一个,放在右上角,可以通过ftp上传到Linux,然后复制到/tmp, 接着继续解压等操作. 复制命令在Linux 其他常用命令 中有示例。或者直接用我给的吧:

cp /home/wwwroot/ftptest/apache-tomcat-7.0.92.tar.gz /tmp/apache-tomcat-7.0.92.tar.gz


注: 除了 7.0.92 外,还放了个 8.5.23 供大家使用 ( Springboot 在7上跑不起,8.5.23经测试是能跑 springboot 的,所以提供了方便大家使用。 用法和7一样)

注: 7 这个版本号 7.0.92 如果不能用了,说明是过期了。。。 把 92 改成 93试试,不行就 94 95 96,或者到 tomcat 7 官网看它的最新下载地址:
https://mirrors.tuna.tsinghua.edu.cn/apache/tomcat/
安装
启动tomcat

/usr/local/tomcat7/bin/startup.sh
运行
因为还没有从安全组开放端口8080,所以还无法通过外网查看tomcat是否启动。只能通过查看端口是否处于监听状态查看tomcat是否启动:

netstat -anp|grep 8080

如图所示,8080端口处于监听状态
验证
步骤 4 :

查看启动日志

edit
通过如下命令可以查看tomcat的启动日志

tail -300f /usr/local/tomcat7/logs/catalina.out

-300表示查看最后300行, f表示动态查看有更新可以立即看到
使用ctrl+c 退出查看状态
查看启动日志


HOW2J公众号,关注后实时获知布最新的教程和优惠活动,谢谢。


问答区域    
2019-08-01 去官网把,没问题的
BeachFish
http://mirror.bit.edu.cn/apache/tomcat/tomcat-7/v7.0.94/bin/apache-tomcat-7.0.94.tar.gz







回答已经提交成功,正在审核。 请于 我的回答 处查看回答记录,谢谢
答案 或者 代码至少填写一项, 如果是自己有问题,请重新提问,否则站长有可能看不到




2019-07-18 启动tomcat成功了,但是端口号貌似有问题,日志也报错了
qugengting



站长,如截图所体现的,我启动tomcat查看端口使用情况,没有反应,日志显示好像有错误,tomcat是通过右上角下载FTP传过去的,这是怎么回事?等等,截图只能传一张吗?

							

							





回答已经提交成功,正在审核。 请于 我的回答 处查看回答记录,谢谢
答案 或者 代码至少填写一项, 如果是自己有问题,请重新提问,否则站长有可能看不到





2018-09-16 服务器内存不够的问题
2018-08-17 按照下载本页tomcat的方法 启动路径应该为
2018-07-12 为什么安装后都不配环境变量就可以直接使用了
2018-06-17 tomcat的安装路径
2018-05-08 安装文件放在哪个目录下有讲究么?
2018-05-08 站长,汤姆猫的源404了
2018-05-05 解压tomcat的时候多了一层文件夹




提问之前请登陆
提问已经提交成功,正在审核。 请于 我的提问 处查看提问记录,谢谢
关于 工具和中间件-部署到Linux-安装和启动 的提问

尽量提供截图代码异常信息,有助于分析和解决问题。 也可进本站QQ群交流: 1001964108
提问尽量提供完整的代码,环境描述,越是有利于问题的重现,您的问题越能更快得到解答。
对教程中代码有疑问,请提供是哪个步骤,哪一行有疑问,这样便于快速定位问题,提高问题得到解答的速度
在已经存在的几千个提问里,有相当大的比例,是因为使用了和站长不同版本的开发环境导致的,比如 jdk, eclpise, idea, mysql,tomcat 等等软件的版本不一致。
请使用和站长一样的版本,可以节约自己大量的学习时间。 站长把教学中用的软件版本整理了,都统一放在了这里, 方便大家下载: http://how2j.cn/k/helloworld/helloworld-version/1718.html

上传截图